﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ex04_03
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            txtMoney.Text = "0";    //預設金額為0
            txtRate.Text = "31.5";  //預設美金匯率
            rdbNT2US.Checked = true;    //預設選取台幣換美金
            lblChange.Text = "請輸入金額和匯率後，再選擇換匯的類別。";
        }

        private void rdbNT2US_CheckedChanged(object sender, EventArgs e)
        {
            try      //例外處理
            {
                double money = Convert.ToDouble(txtMoney.Text);//取得輸入的金額
                double rate = Convert.ToDouble(txtRate.Text);//取得輸入的美金匯率
                if (rdbNT2US.Checked)    //若選取台幣換美金
                {
                    lblChange.Text = "台幣" + money.ToString() + "元可兌換成美金" + (money / rate).ToString("N") + "元";
                }
                else    //其餘即選取美金換台幣
                {
                    lblChange.Text = "美金" + money.ToString() + "元可兌換成台幣" + (money * rate).ToString("N") + "元";
                }
            }
            catch      //發生例外時
            {
                MessageBox.Show("請輸入數字");
            }
        }
    }
}
